| Irrlicht 3D Engine |

Namespaces | Enumerations | Variables
EGUIElementTypes.h File Reference
`#include "irrTypes.h"`

Go to the source code of this file.

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::gui

    The gui namespace contains useful classes for easy creation of a graphical user interface.

## Enumerations

- enum irr::gui::EGUI_ELEMENT_TYPE {
  irr::gui::EGUIET_BUTTON = 0, irr::gui::EGUIET_CHECK_BOX, irr::gui::EGUIET_COMBO_BOX, irr::gui::EGUIET_CONTEXT_MENU,
  irr::gui::EGUIET_MENU, irr::gui::EGUIET_EDIT_BOX, irr::gui::EGUIET_FILE_OPEN_DIALOG, irr::gui::EGUIET_COLOR_SELECT_DIALOG,
  irr::gui::EGUIET_IN_OUT_FADER, irr::gui::EGUIET_IMAGE, irr::gui::EGUIET_LIST_BOX, irr::gui::EGUIET_MESH_VIEWER,
  irr::gui::EGUIET_MESSAGE_BOX, irr::gui::EGUIET_MODAL_SCREEN, irr::gui::EGUIET_SCROLL_BAR, irr::gui::EGUIET_SPIN_BOX,
  irr::gui::EGUIET_STATIC_TEXT, irr::gui::EGUIET_TAB, irr::gui::EGUIET_TAB_CONTROL, irr::gui::EGUIET_TABLE,
  irr::gui::EGUIET_TOOL_BAR, irr::gui::EGUIET_TREE_VIEW, irr::gui::EGUIET_WINDOW, irr::gui::EGUIET_ELEMENT,
  irr::gui::EGUIET_ROOT, irr::gui::EGUIET_COUNT, irr::gui::EGUIET_FORCE_32_BIT = 0x7fffffff
  }
    List of all basic Irrlicht GUI elements. More...

## Variables

- const c8 *const irr::gui::GUIElementTypeNames []
    Names for built-in element types.